#
# Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# ident	"@(#)Config.properties	1.37	06/09/13 SMI"
#
# DO NOT EDIT THIS FILE.
# User customization should be done in /etc/patch/patch.conf, using
# smpatch set or an equivalent tool.
# This file is unconditionally overwritten on upgrade and
# any user changes will be lost.
#

patchpro.messagefile.path.default=com.sun.patchpro.conf.messages
patchpro.messagefile.path.public=false
patchpro.messagefile.path.description=Path to the patchpro message file

patchpro.help.path.default=lib/locale
patchpro.help.path.public=false
patchpro.help.path.description=Path to the locale file

patchpro.debug.default=false
patchpro.debug.public=false
patchpro.debug.description=Enable debugging output

patchpro.realization.debug.default=false
patchpro.realization.debug.public=false
patchpro.realization.debug.description=Enable debugging output for realization processing

patchpro.locale.default=
patchpro.locale.public=false
patchpro.locale.description=PatchPro locale

patchpro.log.file.default=system
patchpro.log.file.public=false
patchpro.log.file.description=Log file location

patchpro.log.size.default=50000
patchpro.log.size.public=false
patchpro.log.size.description=Log file size

patchpro.log.level.default=3
patchpro.log.level.public=false
patchpro.log.level.description=Log level

patchpro.syslog.facility.default=user
patchpro.syslog.facility.public=false
patchpro.syslog.facility.description=System logging channel

patchpro.control.reboot.allowed.default=false
patchpro.control.reboot.allowed.public=false
patchpro.control.reboot.allowed.description=PatchPro permits reboot control

patchpro.control.reboot.at.time.default=0:00-0:00
patchpro.control.reboot.at.time.public=false
patchpro.control.reboot.at.time.description=Time to reboot

patchpro.command.schedule.script.default=pprosched
patchpro.command.schedule.script.public=false
patchpro.command.schedule.script.description=Schedule script

SunOS.command.get.pkg.data.default=/bin/pkginfo -l
SunOS.command.get.pkg.data.public=false
SunOS.command.get.pkg.data.description=Command to list package information

SunOS.command.get.patch.data.default=/usr/sbin/patchadd -p
SunOS.command.get.patch.data.public=false
SunOS.command.get.patch.data.description=Command to apply a patch

SunOS.command.get.disk.data.default=/usr/bin/iostat -E
SunOS.command.get.disk.data.public=false
SunOS.command.get.disk.data.description=Command to check IO statistics

SunOS.command.get.config.data.default=/usr/sbin/prtconf
SunOS.command.get.config.data.public=false
SunOS.command.get.config.data.description=Command to print system configuration

SunOS.command.get.module.data.default=/usr/sbin/modinfo
SunOS.command.get.module.data.public=false
SunOS.command.get.module.data.description=Command to list system module information

SunOS.command.get.OBP.version.default=/usr/sbin/prtconf -V
SunOS.command.get.OBP.version.public=false
SunOS.command.get.OBP.version.description=Command to check the OpenBoot version

SunOS.command.install.patch.default=/usr/sbin/patchadd
SunOS.command.install.patch.public=false
SunOS.command.install.patch.description=Command for patch add

SunOS.command.install.package.default=/usr/sbin/pkgadd -d
SunOS.command.install.package.public=false
SunOS.command.install.package.description=Command to list the package location

# These commands and files are used to call optionally installed things
# First StorAde
patchpro.storade.command.get.inventory.default=/opt/SUNWstade/bin/inventory
patchpro.storade.command.get.inventory.public=false
patchpro.storade.command.get.inventory.description=Inventory directory

patchpro.default.storade.xml.inventory.default=/var/opt/SUNWstade/DATA/inventory.xml
patchpro.default.storade.xml.inventory.public=false
patchpro.default.storade.xml.inventory.description=Inventory XML file

patchpro.error.email.default=
patchpro.error.email.public=false
patchpro.error.email.description=Email address for reporting errors

patchpro.download.email.default=
patchpro.download.email.public=false
patchpro.download.email.description=Email address for reporting patch download errors

patchpro.install.email.default=
patchpro.install.email.public=false
patchpro.install.email.description=Email address for reporting patch application errors

patchpro.patch.download.authenticate.default=true
patchpro.patch.download.authenticate.public=false
patchpro.patch.download.authenticate.description=Authentication requirement for downloading patches

patchpro.patch.install.authenticate.default=true
patchpro.patch.install.authenticate.public=false
patchpro.patch.install.authenticate.description=Authentication requirement for applying patches

patchpro.security.patch.signingcert.alias.default=patchsigning:patchsigning2
patchpro.security.patch.signingcert.alias.public=false
patchpro.security.patch.signingcert.alias.description=Certification signing alias

patchpro.security.kslocation.default=/usr/lib/patch/cacerts
patchpro.security.kslocation.public=false
patchpro.security.kslocation.description=Keystore location

patchpro.security.crl.source.url.default=file:/usr/lib/patch/crl.jar
patchpro.security.crl.source.url.public=false
patchpro.security.crl.source.url.description=crl.jar location

patchpro.download.directory.default=/var/sadm/spool
patchpro.download.directory.public=true
patchpro.download.directory.description=Download Directory

patchpro.patch.sequester.directory.default=/var/sadm/spool/patchproSequester
patchpro.patch.sequester.directory.public=false
patchpro.patch.sequester.directory.description=Sequester directory

patchpro.backout.directory.default=
patchpro.backout.directory.public=true
patchpro.backout.directory.description=Backout Data Directory

patchpro.sessionid.directory.prefix.default=/var/tmp/pprosvc_
patchpro.sessionid.directory.prefix.public=false
patchpro.sessionid.directory.prefix.description=Session ID prefix

patchpro.detectors.name.default=detectors
patchpro.detectors.name.public=false
patchpro.detectors.name.description=Name of the Detectors file.

patchpro.patchset.default=patchdb1
patchpro.patchset.public=true
patchpro.patchset.description=Patch Set

patchpro.patch.source.default=https://updateserver.sun.com/solaris/
patchpro.patch.source.public=true
patchpro.patch.source.description=Patch Source

patchpro.database.builder.default=com.sun.patchpro.database.MemoryPatchDBBuilder
patchpro.database.builder.public=false
patchpro.database.builder.description=Database builder

patchpro.detectors.download.method.default=POST
patchpro.detectors.download.method.public=false
patchpro.detectors.download.method.description=Method for downloading realization detectors

patchpro.detectors.url.head.default=https://patchpro.sun.com/database/
patchpro.detectors.url.head.public=false
patchpro.detectors.url.head.description=Detector URL head

patchpro.detectors.url.tail.default=.jar
patchpro.detectors.url.tail.public=false
patchpro.detectors.url.tail.description=Detector URL tail

patchpro.database.download.method.default=POST
patchpro.database.download.method.public=false
patchpro.database.download.method.description=Method for downloading patch database

patchpro.database.url.head.default=https://patchpro.sun.com/database/
patchpro.database.url.head.public=false
patchpro.database.url.head.description=Database URL head

patchpro.database.url.tail.default=.zip
patchpro.database.url.tail.public=false
patchpro.database.url.tail.description=Database URL tail

patchpro.cache.directory.default=/var/sadm/spool/cache
patchpro.cache.directory.public=false
patchpro.cache.directory.description=Metadata Cache Directory

patchpro.cache.analysis.default=analysis.properties
patchpro.cache.analysis.public=false
patchpro.cache.analysis.description=Analysis cache

patchpro.cache.database.tail.default=.zip
patchpro.cache.database.tail.public=false
patchpro.cache.database.tail.description=Database cache tail

patchpro.cache.old.age.days.database.default=0
patchpro.cache.old.age.days.database.public=false
patchpro.cache.old.age.days.database.description=Old cache aging database

patchpro.cache.dead.age.days.database.default=3
patchpro.cache.dead.age.days.database.public=false
patchpro.cache.dead.age.days.database.description=Cache dead aging database

patchpro.cache.detectors.tail.default=.jar
patchpro.cache.detectors.tail.public=false
patchpro.cache.detectors.tail.description=Detectors cache tail

patchpro.cache.old.age.days.detectors.default=2
patchpro.cache.old.age.days.detectors.public=false
patchpro.cache.old.age.days.detectors.description=Old cache aging detector

patchpro.cache.dead.age.days.detectors.default=5
patchpro.cache.dead.age.days.detectors.public=false
patchpro.cache.dead.age.days.detectors.description=Dead cache aging detector

patchpro.hdw.save.path.default=/etc/patchpro_hdw.conf
patchpro.hdw.save.path.public=false
patchpro.hdw.save.path.description=Hardware save configuration file

patchpro.hdw.read.path.default=/etc/patchpro_hdw.conf
patchpro.hdw.read.path.public=false
patchpro.hdw.read.path.description=Hardware read configuration file

patchpro.sun.user.default=
patchpro.sun.user.public=true
patchpro.sun.user.description=Sun User Name

patchpro.sun.passwd.default=
patchpro.sun.passwd.description=Sun User Password
patchpro.sun.passwd.public=true
patchpro.sun.passwd.secret=true

patchpro.proxy.user.default=
patchpro.proxy.user.public=true
patchpro.proxy.user.description=Web Proxy User Name

patchpro.proxy.passwd.default=
patchpro.proxy.passwd.description=Web Proxy User Password
patchpro.proxy.passwd.public=true
patchpro.proxy.passwd.secret=true

patchpro.proxy.host.default=
patchpro.proxy.host.public=true
patchpro.proxy.host.description=Web Proxy Host Name

patchpro.proxy.port.default=8080
patchpro.proxy.port.public=true
patchpro.proxy.port.description=Web Proxy Port Number

patchpro.default.conf.file.default=etc/patch/patch.conf
patchpro.default.conf.file.public=false
patchpro.default.conf.file.description=Default PatchPro configuration file

#
# patchpro.patch.install.patchtype may have the following values
#	standard, singleuser, rebootafter, reconfigafter,
#	rebootimmediate, reconfigimmediate
#
# This list of values has to be in sync with the constants defined in
# com.sun.patchpro.util.PatchBundlerInstaller. There is no "standard" patch
# called out in the PATCH_PROPERTIES, so "standard" means patches that
# do not have controversial attributes:
#	nonstandard
#	reboot<anything>
#	reconfig<anything>
#	interactive
#
# Under no circumstances will an "interactive" patch be installed
# through automation. If this value is "", that means, no patches may
# be installed.
#
patchpro.patch.install.patchtype.default=
patchpro.patch.install.patchtype.public=false
patchpro.patch.install.patchtype.description=Types acceptable for automatic installation

patchpro.install.types.default=rebootafter:reconfigafter:standard
patchpro.install.types.public=true
patchpro.install.types.description=Patch Policy

patchpro.test.contract.patch.default=
patchpro.test.contract.patch.public=false
patchpro.test.contract.patch.description=Contract patch testing only

patchpro.test.user.default=
patchpro.test.user.public=false
patchpro.test.user.description=Test user to be compared against sun.user

patchpro.test.pw.default=
patchpro.test.pw.public=false
patchpro.test.pw.description=Test password to be compared against sun.pw

patchpro.retain.patch.default=false
patchpro.retain.patch.public=false
patchpro.retain.patch.description=Should the patch be retained?

# Overide the basedatadetector prefix
patchpro.basedatadetector.prefix.default=
patchpro.basedatadetector.prefix.public=false
patchpro.basedatadetector.prefix.description=Base data detector prefix override

# Explorer datadetector input directory
patchpro.explorer.input.default=
patchpro.explorer.input.public=false
patchpro.explorer.input.description=Explorer input directory

# If realizations are provided by the user (with -R), the following
# property is set
patchpro.realization.provided.default=
patchpro.realization.provided.public=false
patchpro.realization.provided.description=Realizations desired

# If a patch list is provided by the user (with "-p"), this property is set to
# that list.
patchpro.patches.provided.default=
patchpro.patches.provided.public=false
patchpro.patches.provided.description=Patches desired

# These are technical translations (not for consumption by the user) that take
# us from the StorAde string to our Host type. The message catalog will hold
# the translation from what this is to what a *customer* should see.
patchpro.storade.translate.ve.default=SVE
patchpro.storade.translate.ve.public=false
patchpro.storade.translate.ve.description=SVE
patchpro.storade.translate.t3.default=T3
patchpro.storade.translate.t3.public=false
patchpro.storade.translate.t3.description=T3
patchpro.storade.translate.t4.default=T4
patchpro.storade.translate.t4.public=false
patchpro.storade.translate.t4.description=T4
patchpro.storade.translate.6120.default=T4
patchpro.storade.translate.6120.public=false
patchpro.storade.translate.6120.description=T4

# This is going away soon, but we'll leave it here until it's gone.
smpatch.request.default=false
smpatch.request.public=false
smpatch.request.description=Request is from smpatch?

#Is this instance of PatchPro Caching proxy server or a Client
patchpro.ispatchserver.default=false
patchpro.ispatchserver.public=false
patchpro.ispatchserver.description=Is this instance a patchserver or a client.

# These properties are related Caching Proxy Server and LPS.
# The actual properties get read in from web.xml, then they get
# stored in PatchServerServletProperties object, which is derived
# from PatchProProperties class, hence related properties need to be added
# here as well, so that methods of PatchProProperties can be used.
# Note that values of these properties are modified via psvrsetup command.
patchsvr.source.0.url.default=http://pm8-202.east:8080/psvr/servlet/PatchServer/
patchsvr.source.0.url.public=false
patchsvr.source.0.url.description=The next server in the cascading chain of servers.
patchsvr.cache.location.default=/var/sadm/spool/patchsvr
patchsvr.cache.location.public=false
patchsvr.cache.location.description=The server's cache location where data gets saved.
patchsvr.database.cache.old.age.default=1
patchsvr.database.cache.old.age.public=false
patchsvr.database.cache.old.age.description=Database cache old age.
patchsvr.database.cache.dead.age.default=3
patchsvr.database.cache.dead.age.public=false
patchsvr.database.cache.dead.age.description=Database cache dead age.
patchsvr.detectors.cache.old.age.default=1
patchsvr.detectors.cache.old.age.public=false
patchsvr.detectors.cache.old.age.description=Detectos cache old age.
patchsvr.detectors.cache.dead.age.default=3
patchsvr.detectors.cache.dead.age.public=false
patchsvr.detectors.cache.dead.age.description=Detectors cache dead age.
patchsvr.use.cache.default=true
patchsvr.use.cache.public=false
patchsvr.use.cache.description=Should the data be saved in Cache or not.
patchsvr.patch.download.authenticate.default=true
patchsvr.patch.download.authenticate.public=false
patchsvr.patch.download.authenticate.description=Download authentication.
patchsvr.security.patch.signingcert.default=patchsigning:patchsigning2
patchsvr.security.patch.signingcert.public=false
patchsvr.security.patch.signingcert.description=Signing certicate
patchsvr.security.kslocation.default=/usr/lib/patch/cacerts
patchsvr.security.kslocation.public=false
patchsvr.security.kslocation.description=Kestore location
patchsvr.security.crl.source.url.default=/usr/lib/patch/crl.jar
patchsvr.security.crl.source.url.public=false
patchsvr.security.crl.source.url.description=Certificate Revoked List
patchsvr.proxyserver.host.default=
patchsvr.proxyserver.host.public=false
patchsvr.proxyserver.host.description=Default server's proxy host setting
patchsvr.proxyserver.port.default=8080
patchsvr.proxyserver.port.public=false
patchsvr.proxyserver.port.description=Default server's port setting.
